Subject: Re: bug#56547: 29.0.50; global-pabbrev-mode in customization causes pabbrev-call-previous-tab-binding: Wrong number of arguments: (1 . 1), 0 [4 times]

From: Jean Louis <[email-masked]>
Date: Mon, 18 Jul 2022 06:39:24 +0300

* Lars Ingebrigtsen <[email-masked]> [2022-07-14 21:02]:
> Jean Louis <[email-masked]> writes:
> 
> > For quite some time I have global-pabbrev-mode turned on. I was
> > customizing Emacs with M-x customize-XXX many times and did not observe
> > any problems.
> >
> > Recently, I see there is problem if the mode is turned on, as if I press
> > TAB in the buffer, then I get the error: pabbrev-call-previous-tab-binding:
> > Wrong number of arguments: (1 . 1), 0 -- and I see this is happen
> >
> > Hide Enable Remote Dir Locals: Boolean: [Toggle]  off (nil)
> >    [ State ]: STANDARD.
> >    Non-nil means dir-local variables will be applied to remote files.
> > Groups: [Find File]
> 
> Do you have a complete, step by step, recipe to reproduce this problem?

1) emacs -q

2) go to ~/.emacs.d/elpa/pabbrev-20160320.2101/ or similar pabbrev
   package directory

3) load pabbrev.el

4) M-x global-pabbrev-mode

5) customize-group and find any option

6) anywhere within options press TAB, there is error: funcall: Wrong number of arguments: (1 . 1), 0 [2 times]

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/